import{S as Xc,i as Uc,s as Qc,e as a,k as h,w,t as p,M as Vc,c as i,d as t,m as g,a as l,x as b,h as m,b as q,G as e,g as k,y as T,q as O,o as M,B as y,v as Wc,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as Ee}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as me}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as C}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Hc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Bc(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function Gc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Jc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Yc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),c=a("code"),u=p("pooler_output"),f=p(" as output):"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example of custom tasks(e.g. a sentence transformers taking "),c=i($,"CODE",{});var j=l(c);u=m(j,"pooler_output"),j.forEach(t),f=m($," as output):"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Kc(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p("(only if the task is supported):"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,"(only if the task is supported):"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Zc(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function eu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function tu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function ou(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function nu(E){let s,_,c,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of image classification:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of image classification:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function su(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function ru(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function au(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=p("Example of question answering:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of question answering:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function iu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function lu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function pu(E){let s,_,c,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of semantic segmentation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of semantic segmentation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function mu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function du(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function cu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function uu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function hu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function gu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=p("Example of single-label classification:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of single-label classification:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function fu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function _u(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=p("Example using zero-shot-classification "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using zero-shot-classification "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function $u(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function vu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function ku(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function xu(E){let s,_,c,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function wu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=p("Example of token classification:"),c=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of token classification:"),r.forEach(t),c=g(n),b(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,c,r),T(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),y(u,n)}}}function bu(E){let s,_,c,u,f,n,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(d){s=i(d,"P",{});var $=l(s);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),f=m($,":"),$.forEach(t),n=g(d),b(r.$$.fragment,d)},m(d,$){k(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),k(d,n,$),T(r,d,$),x=!0},p:z,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(s),d&&t(n),y(r,d)}}}function Tu(E){let s,_,c,u,f,n,r,x,d,$,j,Je,gn,Ht,ga,fn,fa,vr,F,Bt,_a,_n,$a,va,Gt,ka,$n,xa,wa,ba,vn,Ta,Oa,Jt,de,Ma,kn,ya,qa,xn,Ea,ja,wn,Ra,Fa,Sa,ce,Ca,bn,za,Pa,Tn,Aa,Na,On,Ia,Da,La,Mn,Xa,Ua,ee,Yt,Qa,yn,Va,Wa,Ha,Kt,Ba,Zt,Ga,Ja,Ya,te,Ka,qn,Za,ei,En,ti,oi,jn,ni,si,Rn,ri,ai,ii,eo,li,Fn,pi,mi,di,Sn,ci,ui,Ye,to,hi,Cn,gi,fi,Ke,oo,_i,no,$i,zn,vi,ki,xi,Ze,so,wi,Pn,bi,Ti,et,ro,Oi,An,Mi,kr,je,tt,Nn,ao,yi,In,qi,xr,ue,io,Ei,Dn,ji,Ri,V,lo,Fi,Re,Si,Ln,Ci,zi,Xn,Pi,Ai,Ni,ot,Ii,nt,Di,st,wr,Fe,rt,Un,po,Li,Qn,Xi,br,U,mo,Ui,Vn,Qi,Vi,co,Wi,Wn,Hi,Bi,Gi,Hn,Ji,Yi,W,uo,Ki,Se,Zi,Bn,el,tl,Gn,ol,nl,sl,at,rl,it,al,lt,Tr,Ce,pt,Jn,ho,il,Yn,ll,Or,A,go,pl,Kn,ml,dl,fo,cl,Zn,ul,hl,gl,es,fl,_l,H,_o,$l,ze,vl,ts,kl,xl,os,wl,bl,Tl,mt,Ol,dt,Ml,ct,yl,ut,$o,ql,ns,El,Mr,Pe,ht,ss,vo,jl,rs,Rl,yr,N,ko,Fl,as,Sl,Cl,xo,zl,is,Pl,Al,Nl,ls,Il,Dl,B,wo,Ll,Ae,Xl,ps,Ul,Ql,ms,Vl,Wl,Hl,gt,Bl,ft,Gl,_t,Jl,$t,bo,Yl,ds,Kl,qr,Ne,vt,cs,To,Zl,us,ep,Er,I,Oo,tp,hs,op,np,Mo,sp,gs,rp,ap,ip,fs,lp,pp,G,yo,mp,Ie,dp,_s,cp,up,$s,hp,gp,fp,kt,_p,xt,$p,wt,vp,bt,qo,kp,vs,xp,jr,De,Tt,ks,Eo,wp,xs,bp,Rr,Q,jo,Tp,ws,Op,Mp,Ro,yp,bs,qp,Ep,jp,Ts,Rp,Fp,J,Fo,Sp,Le,Cp,Os,zp,Pp,Ms,Ap,Np,Ip,Ot,Dp,Mt,Lp,yt,Fr,Xe,qt,ys,So,Xp,qs,Up,Sr,he,Co,Qp,Es,Vp,Wp,Y,zo,Hp,Ue,Bp,js,Gp,Jp,Rs,Yp,Kp,Zp,Et,em,jt,tm,Rt,Cr,Qe,Ft,Fs,Po,om,Ss,nm,zr,D,Ao,sm,Cs,rm,am,No,im,zs,lm,pm,mm,Ps,dm,cm,X,Io,um,Ve,hm,As,gm,fm,Ns,_m,$m,vm,St,km,Ct,xm,zt,wm,Pt,bm,At,Do,Tm,Is,Om,Pr,We,Nt,Ds,Lo,Mm,Ls,ym,Ar,ge,Xo,qm,Xs,Em,jm,K,Uo,Rm,He,Fm,Us,Sm,Cm,Qs,zm,Pm,Am,It,Nm,Dt,Im,Lt,Nr,Be,Xt,Vs,Qo,Dm,Ws,Lm,Ir,L,Vo,Xm,Hs,Um,Qm,Wo,Vm,Bs,Wm,Hm,Bm,Gs,Gm,Jm,Z,Ho,Ym,Ge,Km,Js,Zm,ed,Ys,td,od,nd,Ut,sd,Qt,rd,Vt,ad,Wt,Bo,id,Ks,ld,Dr;return n=new me({}),Ht=new me({}),Bt=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L125"}}),to=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L546",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),oo=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L279"}}),so=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L165"}}),ro=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L253",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),ao=new me({}),io=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L719"}}),lo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L727"}}),ot=new Ee({props:{$$slots:{default:[Hc]},$$scope:{ctx:E}}}),nt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Bc]},$$scope:{ctx:E}}}),st=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Gc]},$$scope:{ctx:E}}}),po=new me({}),mo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1750"}}),uo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1762"}}),at=new Ee({props:{$$slots:{default:[Jc]},$$scope:{ctx:E}}}),it=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Yc]},$$scope:{ctx:E}}}),lt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Kc]},$$scope:{ctx:E}}}),ho=new me({}),go=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L634"}}),_o=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L717"}}),mt=new Ee({props:{$$slots:{default:[Zc]},$$scope:{ctx:E}}}),dt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[eu]},$$scope:{ctx:E}}}),ct=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[tu]},$$scope:{ctx:E}}}),$o=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L646"}}),vo=new me({}),ko=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1508"}}),wo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1562"}}),gt=new Ee({props:{$$slots:{default:[ou]},$$scope:{ctx:E}}}),ft=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[nu]},$$scope:{ctx:E}}}),_t=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[su]},$$scope:{ctx:E}}}),bo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1520"}}),To=new me({}),Oo=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L805"}}),yo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L896"}}),kt=new Ee({props:{$$slots:{default:[ru]},$$scope:{ctx:E}}}),xt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[au]},$$scope:{ctx:E}}}),wt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[iu]},$$scope:{ctx:E}}}),qo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L817"}}),Eo=new me({}),jo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1644"}}),Fo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1658"}}),Ot=new Ee({props:{$$slots:{default:[lu]},$$scope:{ctx:E}}}),Mt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[pu]},$$scope:{ctx:E}}}),yt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[mu]},$$scope:{ctx:E}}}),So=new me({}),Co=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1171"}}),zo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1194"}}),Et=new Ee({props:{$$slots:{default:[du]},$$scope:{ctx:E}}}),jt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[cu]},$$scope:{ctx:E}}}),Rt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[uu]},$$scope:{ctx:E}}}),Po=new me({}),Ao=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1004"}}),Io=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1086"}}),St=new Ee({props:{$$slots:{default:[hu]},$$scope:{ctx:E}}}),Ct=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[gu]},$$scope:{ctx:E}}}),zt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[fu]},$$scope:{ctx:E}}}),Pt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[_u]},$$scope:{ctx:E}}}),Do=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1017"}}),Lo=new me({}),Xo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1279"}}),Uo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1312"}}),It=new Ee({props:{$$slots:{default:[$u]},$$scope:{ctx:E}}}),Dt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[vu]},$$scope:{ctx:E}}}),Lt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[ku]},$$scope:{ctx:E}}}),Qo=new me({}),Vo=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1174"}}),Ho=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1256"}}),Ut=new Ee({props:{$$slots:{default:[xu]},$$scope:{ctx:E}}}),Qt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[wu]},$$scope:{ctx:E}}}),Vt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[bu]},$$scope:{ctx:E}}}),Bo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1186"}}),{c(){s=a("meta"),_=h(),c=a("h1"),u=a("a"),f=a("span"),w(n.$$.fragment),r=h(),x=a("span"),d=p("Models"),$=h(),j=a("h2"),Je=a("a"),gn=a("span"),w(Ht.$$.fragment),ga=h(),fn=a("span"),fa=p("ORTModel"),vr=h(),F=a("div"),w(Bt.$$.fragment),_a=h(),_n=a("p"),$a=p("Base class for implementing models using ONNX Runtime."),va=h(),Gt=a("p"),ka=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),$n=a("code"),xa=p("optimum.exporters.onnx"),wa=p(" toolchain."),ba=h(),vn=a("p"),Ta=p("Class attributes:"),Oa=h(),Jt=a("ul"),de=a("li"),Ma=p("model_type ("),kn=a("code"),ya=p("str"),qa=p(", "),xn=a("em"),Ea=p("optional"),ja=p(", defaults to "),wn=a("code"),Ra=p('"onnx_model"'),Fa=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Sa=h(),ce=a("li"),Ca=p("auto_model_class ("),bn=a("code"),za=p("Type"),Pa=p(", "),Tn=a("em"),Aa=p("optional"),Na=p(", defaults to "),On=a("code"),Ia=p("AutoModel"),Da=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),La=h(),Mn=a("p"),Xa=p("Common attributes:"),Ua=h(),ee=a("ul"),Yt=a("li"),Qa=p("model ("),yn=a("code"),Va=p("ort.InferenceSession"),Wa=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Ha=h(),Kt=a("li"),Ba=p("config ("),Zt=a("a"),Ga=p("PretrainedConfig"),Ja=p(" \u2014 The configuration of the model."),Ya=h(),te=a("li"),Ka=p("use_io_binding ("),qn=a("code"),Za=p("bool"),ei=p(", "),En=a("em"),ti=p("optional"),oi=p(", defaults to "),jn=a("code"),ni=p("True"),si=p(") \u2014 Whether to use I/O bindings with "),Rn=a("strong"),ri=p(`ONNX Runtime
with the CUDAExecutionProvider`),ai=p(", this can significantly speedup inference depending on the task."),ii=h(),eo=a("li"),li=p("model_save_dir ("),Fn=a("code"),pi=p("Path"),mi=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),di=h(),Sn=a("li"),ci=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),ui=h(),Ye=a("div"),w(to.$$.fragment),hi=h(),Cn=a("p"),gi=p("Instantiate a pretrained model from a pre-trained model configuration."),fi=h(),Ke=a("div"),w(oo.$$.fragment),_i=h(),no=a("p"),$i=p("Loads an ONNX Inference session with a given provider. Default provider is "),zn=a("code"),vi=p("CPUExecutionProvider"),ki=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),xi=h(),Ze=a("div"),w(so.$$.fragment),wi=h(),Pn=a("p"),bi=p("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Ti=h(),et=a("div"),w(ro.$$.fragment),Oi=h(),An=a("p"),Mi=p("Changes the ONNX Runtime provider according to the device."),kr=h(),je=a("h2"),tt=a("a"),Nn=a("span"),w(ao.$$.fragment),yi=h(),In=a("span"),qi=p("ORTModelForCausalLM"),xr=h(),ue=a("div"),w(io.$$.fragment),Ei=h(),Dn=a("p"),ji=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),Ri=h(),V=a("div"),w(lo.$$.fragment),Fi=h(),Re=a("p"),Si=p("The "),Ln=a("code"),Ci=p("ORTModelForCausalLM"),zi=p(" forward method, overrides the "),Xn=a("code"),Pi=p("__call__"),Ai=p(" special method."),Ni=h(),w(ot.$$.fragment),Ii=h(),w(nt.$$.fragment),Di=h(),w(st.$$.fragment),wr=h(),Fe=a("h2"),rt=a("a"),Un=a("span"),w(po.$$.fragment),Li=h(),Qn=a("span"),Xi=p("ORTModelForCustomTasks"),br=h(),U=a("div"),w(mo.$$.fragment),Ui=h(),Vn=a("p"),Qi=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Vi=h(),co=a("p"),Wi=p("This model inherits from [~"),Wn=a("code"),Hi=p("onnxruntime.modeling_ort.ORTModel"),Bi=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Gi=h(),Hn=a("p"),Ji=p("Model for any custom tasks if the ONNX model is stored in a single file."),Yi=h(),W=a("div"),w(uo.$$.fragment),Ki=h(),Se=a("p"),Zi=p("The "),Bn=a("code"),el=p("ORTModelForCustomTasks"),tl=p(" forward method, overrides the "),Gn=a("code"),ol=p("__call__"),nl=p(" special method."),sl=h(),w(at.$$.fragment),rl=h(),w(it.$$.fragment),al=h(),w(lt.$$.fragment),Tr=h(),Ce=a("h2"),pt=a("a"),Jn=a("span"),w(ho.$$.fragment),il=h(),Yn=a("span"),ll=p("ORTModelForFeatureExtraction"),Or=h(),A=a("div"),w(go.$$.fragment),pl=h(),Kn=a("p"),ml=p("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),dl=h(),fo=a("p"),cl=p("This model inherits from [~"),Zn=a("code"),ul=p("onnxruntime.modeling_ort.ORTModel"),hl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),gl=h(),es=a("p"),fl=p("Feature Extraction model for ONNX."),_l=h(),H=a("div"),w(_o.$$.fragment),$l=h(),ze=a("p"),vl=p("The "),ts=a("code"),kl=p("ORTModelForFeatureExtraction"),xl=p(" forward method, overrides the "),os=a("code"),wl=p("__call__"),bl=p(" special method."),Tl=h(),w(mt.$$.fragment),Ol=h(),w(dt.$$.fragment),Ml=h(),w(ct.$$.fragment),yl=h(),ut=a("div"),w($o.$$.fragment),ql=h(),ns=a("p"),El=p("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Mr=h(),Pe=a("h2"),ht=a("a"),ss=a("span"),w(vo.$$.fragment),jl=h(),rs=a("span"),Rl=p("ORTModelForImageClassification"),yr=h(),N=a("div"),w(ko.$$.fragment),Fl=h(),as=a("p"),Sl=p("Onnx Model for image-classification tasks."),Cl=h(),xo=a("p"),zl=p("This model inherits from [~"),is=a("code"),Pl=p("onnxruntime.modeling_ort.ORTModel"),Al=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Nl=h(),ls=a("p"),Il=p("Image Classification model for ONNX."),Dl=h(),B=a("div"),w(wo.$$.fragment),Ll=h(),Ae=a("p"),Xl=p("The "),ps=a("code"),Ul=p("ORTModelForImageClassification"),Ql=p(" forward method, overrides the "),ms=a("code"),Vl=p("__call__"),Wl=p(" special method."),Hl=h(),w(gt.$$.fragment),Bl=h(),w(ft.$$.fragment),Gl=h(),w(_t.$$.fragment),Jl=h(),$t=a("div"),w(bo.$$.fragment),Yl=h(),ds=a("p"),Kl=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),qr=h(),Ne=a("h2"),vt=a("a"),cs=a("span"),w(To.$$.fragment),Zl=h(),us=a("span"),ep=p("ORTModelForQuestionAnswering"),Er=h(),I=a("div"),w(Oo.$$.fragment),tp=h(),hs=a("p"),op=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),np=h(),Mo=a("p"),sp=p("This model inherits from [~"),gs=a("code"),rp=p("onnxruntime.modeling_ort.ORTModel"),ap=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ip=h(),fs=a("p"),lp=p("Question Answering model for ONNX."),pp=h(),G=a("div"),w(yo.$$.fragment),mp=h(),Ie=a("p"),dp=p("The "),_s=a("code"),cp=p("ORTModelForQuestionAnswering"),up=p(" forward method, overrides the "),$s=a("code"),hp=p("__call__"),gp=p(" special method."),fp=h(),w(kt.$$.fragment),_p=h(),w(xt.$$.fragment),$p=h(),w(wt.$$.fragment),vp=h(),bt=a("div"),w(qo.$$.fragment),kp=h(),vs=a("p"),xp=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),jr=h(),De=a("h2"),Tt=a("a"),ks=a("span"),w(Eo.$$.fragment),wp=h(),xs=a("span"),bp=p("ORTModelForSemanticSegmentation"),Rr=h(),Q=a("div"),w(jo.$$.fragment),Tp=h(),ws=a("p"),Op=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Mp=h(),Ro=a("p"),yp=p("This model inherits from [~"),bs=a("code"),qp=p("onnxruntime.modeling_ort.ORTModel"),Ep=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),jp=h(),Ts=a("p"),Rp=p("Semantic Segmentation model for ONNX."),Fp=h(),J=a("div"),w(Fo.$$.fragment),Sp=h(),Le=a("p"),Cp=p("The "),Os=a("code"),zp=p("ORTModelForSemanticSegmentation"),Pp=p(" forward method, overrides the "),Ms=a("code"),Ap=p("__call__"),Np=p(" special method."),Ip=h(),w(Ot.$$.fragment),Dp=h(),w(Mt.$$.fragment),Lp=h(),w(yt.$$.fragment),Fr=h(),Xe=a("h2"),qt=a("a"),ys=a("span"),w(So.$$.fragment),Xp=h(),qs=a("span"),Up=p("ORTModelForSeq2SeqLM"),Sr=h(),he=a("div"),w(Co.$$.fragment),Qp=h(),Es=a("p"),Vp=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Wp=h(),Y=a("div"),w(zo.$$.fragment),Hp=h(),Ue=a("p"),Bp=p("The "),js=a("code"),Gp=p("ORTModelForSeq2SeqLM"),Jp=p(" forward method, overrides the "),Rs=a("code"),Yp=p("__call__"),Kp=p(" special method."),Zp=h(),w(Et.$$.fragment),em=h(),w(jt.$$.fragment),tm=h(),w(Rt.$$.fragment),Cr=h(),Qe=a("h2"),Ft=a("a"),Fs=a("span"),w(Po.$$.fragment),om=h(),Ss=a("span"),nm=p("ORTModelForSequenceClassification"),zr=h(),D=a("div"),w(Ao.$$.fragment),sm=h(),Cs=a("p"),rm=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),am=h(),No=a("p"),im=p("This model inherits from [~"),zs=a("code"),lm=p("onnxruntime.modeling_ort.ORTModel"),pm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),mm=h(),Ps=a("p"),dm=p("Sequence Classification model for ONNX."),cm=h(),X=a("div"),w(Io.$$.fragment),um=h(),Ve=a("p"),hm=p("The "),As=a("code"),gm=p("ORTModelForSequenceClassification"),fm=p(" forward method, overrides the "),Ns=a("code"),_m=p("__call__"),$m=p(" special method."),vm=h(),w(St.$$.fragment),km=h(),w(Ct.$$.fragment),xm=h(),w(zt.$$.fragment),wm=h(),w(Pt.$$.fragment),bm=h(),At=a("div"),w(Do.$$.fragment),Tm=h(),Is=a("p"),Om=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Pr=h(),We=a("h2"),Nt=a("a"),Ds=a("span"),w(Lo.$$.fragment),Mm=h(),Ls=a("span"),ym=p("ORTModelForSpeechSeq2Seq"),Ar=h(),ge=a("div"),w(Xo.$$.fragment),qm=h(),Xs=a("p"),Em=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),jm=h(),K=a("div"),w(Uo.$$.fragment),Rm=h(),He=a("p"),Fm=p("The "),Us=a("code"),Sm=p("ORTModelForSpeechSeq2Seq"),Cm=p(" forward method, overrides the "),Qs=a("code"),zm=p("__call__"),Pm=p(" special method."),Am=h(),w(It.$$.fragment),Nm=h(),w(Dt.$$.fragment),Im=h(),w(Lt.$$.fragment),Nr=h(),Be=a("h2"),Xt=a("a"),Vs=a("span"),w(Qo.$$.fragment),Dm=h(),Ws=a("span"),Lm=p("ORTModelForTokenClassification"),Ir=h(),L=a("div"),w(Vo.$$.fragment),Xm=h(),Hs=a("p"),Um=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Qm=h(),Wo=a("p"),Vm=p("This model inherits from [~"),Bs=a("code"),Wm=p("onnxruntime.modeling_ort.ORTModel"),Hm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Bm=h(),Gs=a("p"),Gm=p("Token Classification model for ONNX."),Jm=h(),Z=a("div"),w(Ho.$$.fragment),Ym=h(),Ge=a("p"),Km=p("The "),Js=a("code"),Zm=p("ORTModelForTokenClassification"),ed=p(" forward method, overrides the "),Ys=a("code"),td=p("__call__"),od=p(" special method."),nd=h(),w(Ut.$$.fragment),sd=h(),w(Qt.$$.fragment),rd=h(),w(Vt.$$.fragment),ad=h(),Wt=a("div"),w(Bo.$$.fragment),id=h(),Ks=a("p"),ld=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const v=Vc('[data-svelte="svelte-1phssyn"]',document.head);s=i(v,"META",{name:!0,content:!0}),v.forEach(t),_=g(o),c=i(o,"H1",{class:!0});var Go=l(c);u=i(Go,"A",{id:!0,class:!0,href:!0});var Zs=l(u);f=i(Zs,"SPAN",{});var er=l(f);b(n.$$.fragment,er),er.forEach(t),Zs.forEach(t),r=g(Go),x=i(Go,"SPAN",{});var tr=l(x);d=m(tr,"Models"),tr.forEach(t),Go.forEach(t),$=g(o),j=i(o,"H2",{class:!0});var Jo=l(j);Je=i(Jo,"A",{id:!0,class:!0,href:!0});var or=l(Je);gn=i(or,"SPAN",{});var nr=l(gn);b(Ht.$$.fragment,nr),nr.forEach(t),or.forEach(t),ga=g(Jo),fn=i(Jo,"SPAN",{});var sr=l(fn);fa=m(sr,"ORTModel"),sr.forEach(t),Jo.forEach(t),vr=g(o),F=i(o,"DIV",{class:!0});var S=l(F);b(Bt.$$.fragment,S),_a=g(S),_n=i(S,"P",{});var rr=l(_n);$a=m(rr,"Base class for implementing models using ONNX Runtime."),rr.forEach(t),va=g(S),Gt=i(S,"P",{});var Yo=l(Gt);ka=m(Yo,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),$n=i(Yo,"CODE",{});var ar=l($n);xa=m(ar,"optimum.exporters.onnx"),ar.forEach(t),wa=m(Yo," toolchain."),Yo.forEach(t),ba=g(S),vn=i(S,"P",{});var ir=l(vn);Ta=m(ir,"Class attributes:"),ir.forEach(t),Oa=g(S),Jt=i(S,"UL",{});var Ko=l(Jt);de=i(Ko,"LI",{});var fe=l(de);Ma=m(fe,"model_type ("),kn=i(fe,"CODE",{});var lr=l(kn);ya=m(lr,"str"),lr.forEach(t),qa=m(fe,", "),xn=i(fe,"EM",{});var pr=l(xn);Ea=m(pr,"optional"),pr.forEach(t),ja=m(fe,", defaults to "),wn=i(fe,"CODE",{});var mr=l(wn);Ra=m(mr,'"onnx_model"'),mr.forEach(t),Fa=m(fe,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),fe.forEach(t),Sa=g(Ko),ce=i(Ko,"LI",{});var _e=l(ce);Ca=m(_e,"auto_model_class ("),bn=i(_e,"CODE",{});var dr=l(bn);za=m(dr,"Type"),dr.forEach(t),Pa=m(_e,", "),Tn=i(_e,"EM",{});var cr=l(Tn);Aa=m(cr,"optional"),cr.forEach(t),Na=m(_e,", defaults to "),On=i(_e,"CODE",{});var ur=l(On);Ia=m(ur,"AutoModel"),ur.forEach(t),Da=m(_e,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),_e.forEach(t),Ko.forEach(t),La=g(S),Mn=i(S,"P",{});var hr=l(Mn);Xa=m(hr,"Common attributes:"),hr.forEach(t),Ua=g(S),ee=i(S,"UL",{});var oe=l(ee);Yt=i(oe,"LI",{});var Zo=l(Yt);Qa=m(Zo,"model ("),yn=i(Zo,"CODE",{});var gr=l(yn);Va=m(gr,"ort.InferenceSession"),gr.forEach(t),Wa=m(Zo,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Zo.forEach(t),Ha=g(oe),Kt=i(oe,"LI",{});var en=l(Kt);Ba=m(en,"config ("),Zt=i(en,"A",{href:!0,rel:!0});var fr=l(Zt);Ga=m(fr,"PretrainedConfig"),fr.forEach(t),Ja=m(en," \u2014 The configuration of the model."),en.forEach(t),Ya=g(oe),te=i(oe,"LI",{});var ne=l(te);Ka=m(ne,"use_io_binding ("),qn=i(ne,"CODE",{});var _r=l(qn);Za=m(_r,"bool"),_r.forEach(t),ei=m(ne,", "),En=i(ne,"EM",{});var $r=l(En);ti=m($r,"optional"),$r.forEach(t),oi=m(ne,", defaults to "),jn=i(ne,"CODE",{});var pd=l(jn);ni=m(pd,"True"),pd.forEach(t),si=m(ne,") \u2014 Whether to use I/O bindings with "),Rn=i(ne,"STRONG",{});var md=l(Rn);ri=m(md,`ONNX Runtime
with the CUDAExecutionProvider`),md.forEach(t),ai=m(ne,", this can significantly speedup inference depending on the task."),ne.forEach(t),ii=g(oe),eo=i(oe,"LI",{});var Lr=l(eo);li=m(Lr,"model_save_dir ("),Fn=i(Lr,"CODE",{});var dd=l(Fn);pi=m(dd,"Path"),dd.forEach(t),mi=m(Lr,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Lr.forEach(t),di=g(oe),Sn=i(oe,"LI",{});var cd=l(Sn);ci=m(cd,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),cd.forEach(t),oe.forEach(t),ui=g(S),Ye=i(S,"DIV",{class:!0});var Xr=l(Ye);b(to.$$.fragment,Xr),hi=g(Xr),Cn=i(Xr,"P",{});var ud=l(Cn);gi=m(ud,"Instantiate a pretrained model from a pre-trained model configuration."),ud.forEach(t),Xr.forEach(t),fi=g(S),Ke=i(S,"DIV",{class:!0});var Ur=l(Ke);b(oo.$$.fragment,Ur),_i=g(Ur),no=i(Ur,"P",{});var Qr=l(no);$i=m(Qr,"Loads an ONNX Inference session with a given provider. Default provider is "),zn=i(Qr,"CODE",{});var hd=l(zn);vi=m(hd,"CPUExecutionProvider"),hd.forEach(t),ki=m(Qr,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Qr.forEach(t),Ur.forEach(t),xi=g(S),Ze=i(S,"DIV",{class:!0});var Vr=l(Ze);b(so.$$.fragment,Vr),wi=g(Vr),Pn=i(Vr,"P",{});var gd=l(Pn);bi=m(gd,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),gd.forEach(t),Vr.forEach(t),Ti=g(S),et=i(S,"DIV",{class:!0});var Wr=l(et);b(ro.$$.fragment,Wr),Oi=g(Wr),An=i(Wr,"P",{});var fd=l(An);Mi=m(fd,"Changes the ONNX Runtime provider according to the device."),fd.forEach(t),Wr.forEach(t),S.forEach(t),kr=g(o),je=i(o,"H2",{class:!0});var Hr=l(je);tt=i(Hr,"A",{id:!0,class:!0,href:!0});var _d=l(tt);Nn=i(_d,"SPAN",{});var $d=l(Nn);b(ao.$$.fragment,$d),$d.forEach(t),_d.forEach(t),yi=g(Hr),In=i(Hr,"SPAN",{});var vd=l(In);qi=m(vd,"ORTModelForCausalLM"),vd.forEach(t),Hr.forEach(t),xr=g(o),ue=i(o,"DIV",{class:!0});var tn=l(ue);b(io.$$.fragment,tn),Ei=g(tn),Dn=i(tn,"P",{});var kd=l(Dn);ji=m(kd,"ONNX model with a causal language modeling head for ONNX Runtime inference."),kd.forEach(t),Ri=g(tn),V=i(tn,"DIV",{class:!0});var $e=l(V);b(lo.$$.fragment,$e),Fi=g($e),Re=i($e,"P",{});var on=l(Re);Si=m(on,"The "),Ln=i(on,"CODE",{});var xd=l(Ln);Ci=m(xd,"ORTModelForCausalLM"),xd.forEach(t),zi=m(on," forward method, overrides the "),Xn=i(on,"CODE",{});var wd=l(Xn);Pi=m(wd,"__call__"),wd.forEach(t),Ai=m(on," special method."),on.forEach(t),Ni=g($e),b(ot.$$.fragment,$e),Ii=g($e),b(nt.$$.fragment,$e),Di=g($e),b(st.$$.fragment,$e),$e.forEach(t),tn.forEach(t),wr=g(o),Fe=i(o,"H2",{class:!0});var Br=l(Fe);rt=i(Br,"A",{id:!0,class:!0,href:!0});var bd=l(rt);Un=i(bd,"SPAN",{});var Td=l(Un);b(po.$$.fragment,Td),Td.forEach(t),bd.forEach(t),Li=g(Br),Qn=i(Br,"SPAN",{});var Od=l(Qn);Xi=m(Od,"ORTModelForCustomTasks"),Od.forEach(t),Br.forEach(t),br=g(o),U=i(o,"DIV",{class:!0});var ve=l(U);b(mo.$$.fragment,ve),Ui=g(ve),Vn=i(ve,"P",{});var Md=l(Vn);Qi=m(Md,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Md.forEach(t),Vi=g(ve),co=i(ve,"P",{});var Gr=l(co);Wi=m(Gr,"This model inherits from [~"),Wn=i(Gr,"CODE",{});var yd=l(Wn);Hi=m(yd,"onnxruntime.modeling_ort.ORTModel"),yd.forEach(t),Bi=m(Gr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Gr.forEach(t),Gi=g(ve),Hn=i(ve,"P",{});var qd=l(Hn);Ji=m(qd,"Model for any custom tasks if the ONNX model is stored in a single file."),qd.forEach(t),Yi=g(ve),W=i(ve,"DIV",{class:!0});var ke=l(W);b(uo.$$.fragment,ke),Ki=g(ke),Se=i(ke,"P",{});var nn=l(Se);Zi=m(nn,"The "),Bn=i(nn,"CODE",{});var Ed=l(Bn);el=m(Ed,"ORTModelForCustomTasks"),Ed.forEach(t),tl=m(nn," forward method, overrides the "),Gn=i(nn,"CODE",{});var jd=l(Gn);ol=m(jd,"__call__"),jd.forEach(t),nl=m(nn," special method."),nn.forEach(t),sl=g(ke),b(at.$$.fragment,ke),rl=g(ke),b(it.$$.fragment,ke),al=g(ke),b(lt.$$.fragment,ke),ke.forEach(t),ve.forEach(t),Tr=g(o),Ce=i(o,"H2",{class:!0});var Jr=l(Ce);pt=i(Jr,"A",{id:!0,class:!0,href:!0});var Rd=l(pt);Jn=i(Rd,"SPAN",{});var Fd=l(Jn);b(ho.$$.fragment,Fd),Fd.forEach(t),Rd.forEach(t),il=g(Jr),Yn=i(Jr,"SPAN",{});var Sd=l(Yn);ll=m(Sd,"ORTModelForFeatureExtraction"),Sd.forEach(t),Jr.forEach(t),Or=g(o),A=i(o,"DIV",{class:!0});var se=l(A);b(go.$$.fragment,se),pl=g(se),Kn=i(se,"P",{});var Cd=l(Kn);ml=m(Cd,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Cd.forEach(t),dl=g(se),fo=i(se,"P",{});var Yr=l(fo);cl=m(Yr,"This model inherits from [~"),Zn=i(Yr,"CODE",{});var zd=l(Zn);ul=m(zd,"onnxruntime.modeling_ort.ORTModel"),zd.forEach(t),hl=m(Yr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Yr.forEach(t),gl=g(se),es=i(se,"P",{});var Pd=l(es);fl=m(Pd,"Feature Extraction model for ONNX."),Pd.forEach(t),_l=g(se),H=i(se,"DIV",{class:!0});var xe=l(H);b(_o.$$.fragment,xe),$l=g(xe),ze=i(xe,"P",{});var sn=l(ze);vl=m(sn,"The "),ts=i(sn,"CODE",{});var Ad=l(ts);kl=m(Ad,"ORTModelForFeatureExtraction"),Ad.forEach(t),xl=m(sn," forward method, overrides the "),os=i(sn,"CODE",{});var Nd=l(os);wl=m(Nd,"__call__"),Nd.forEach(t),bl=m(sn," special method."),sn.forEach(t),Tl=g(xe),b(mt.$$.fragment,xe),Ol=g(xe),b(dt.$$.fragment,xe),Ml=g(xe),b(ct.$$.fragment,xe),xe.forEach(t),yl=g(se),ut=i(se,"DIV",{class:!0});var Kr=l(ut);b($o.$$.fragment,Kr),ql=g(Kr),ns=i(Kr,"P",{});var Id=l(ns);El=m(Id,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Id.forEach(t),Kr.forEach(t),se.forEach(t),Mr=g(o),Pe=i(o,"H2",{class:!0});var Zr=l(Pe);ht=i(Zr,"A",{id:!0,class:!0,href:!0});var Dd=l(ht);ss=i(Dd,"SPAN",{});var Ld=l(ss);b(vo.$$.fragment,Ld),Ld.forEach(t),Dd.forEach(t),jl=g(Zr),rs=i(Zr,"SPAN",{});var Xd=l(rs);Rl=m(Xd,"ORTModelForImageClassification"),Xd.forEach(t),Zr.forEach(t),yr=g(o),N=i(o,"DIV",{class:!0});var re=l(N);b(ko.$$.fragment,re),Fl=g(re),as=i(re,"P",{});var Ud=l(as);Sl=m(Ud,"Onnx Model for image-classification tasks."),Ud.forEach(t),Cl=g(re),xo=i(re,"P",{});var ea=l(xo);zl=m(ea,"This model inherits from [~"),is=i(ea,"CODE",{});var Qd=l(is);Pl=m(Qd,"onnxruntime.modeling_ort.ORTModel"),Qd.forEach(t),Al=m(ea,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ea.forEach(t),Nl=g(re),ls=i(re,"P",{});var Vd=l(ls);Il=m(Vd,"Image Classification model for ONNX."),Vd.forEach(t),Dl=g(re),B=i(re,"DIV",{class:!0});var we=l(B);b(wo.$$.fragment,we),Ll=g(we),Ae=i(we,"P",{});var rn=l(Ae);Xl=m(rn,"The "),ps=i(rn,"CODE",{});var Wd=l(ps);Ul=m(Wd,"ORTModelForImageClassification"),Wd.forEach(t),Ql=m(rn," forward method, overrides the "),ms=i(rn,"CODE",{});var Hd=l(ms);Vl=m(Hd,"__call__"),Hd.forEach(t),Wl=m(rn," special method."),rn.forEach(t),Hl=g(we),b(gt.$$.fragment,we),Bl=g(we),b(ft.$$.fragment,we),Gl=g(we),b(_t.$$.fragment,we),we.forEach(t),Jl=g(re),$t=i(re,"DIV",{class:!0});var ta=l($t);b(bo.$$.fragment,ta),Yl=g(ta),ds=i(ta,"P",{});var Bd=l(ds);Kl=m(Bd,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Bd.forEach(t),ta.forEach(t),re.forEach(t),qr=g(o),Ne=i(o,"H2",{class:!0});var oa=l(Ne);vt=i(oa,"A",{id:!0,class:!0,href:!0});var Gd=l(vt);cs=i(Gd,"SPAN",{});var Jd=l(cs);b(To.$$.fragment,Jd),Jd.forEach(t),Gd.forEach(t),Zl=g(oa),us=i(oa,"SPAN",{});var Yd=l(us);ep=m(Yd,"ORTModelForQuestionAnswering"),Yd.forEach(t),oa.forEach(t),Er=g(o),I=i(o,"DIV",{class:!0});var ae=l(I);b(Oo.$$.fragment,ae),tp=g(ae),hs=i(ae,"P",{});var Kd=l(hs);op=m(Kd,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Kd.forEach(t),np=g(ae),Mo=i(ae,"P",{});var na=l(Mo);sp=m(na,"This model inherits from [~"),gs=i(na,"CODE",{});var Zd=l(gs);rp=m(Zd,"onnxruntime.modeling_ort.ORTModel"),Zd.forEach(t),ap=m(na,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),na.forEach(t),ip=g(ae),fs=i(ae,"P",{});var ec=l(fs);lp=m(ec,"Question Answering model for ONNX."),ec.forEach(t),pp=g(ae),G=i(ae,"DIV",{class:!0});var be=l(G);b(yo.$$.fragment,be),mp=g(be),Ie=i(be,"P",{});var an=l(Ie);dp=m(an,"The "),_s=i(an,"CODE",{});var tc=l(_s);cp=m(tc,"ORTModelForQuestionAnswering"),tc.forEach(t),up=m(an," forward method, overrides the "),$s=i(an,"CODE",{});var oc=l($s);hp=m(oc,"__call__"),oc.forEach(t),gp=m(an," special method."),an.forEach(t),fp=g(be),b(kt.$$.fragment,be),_p=g(be),b(xt.$$.fragment,be),$p=g(be),b(wt.$$.fragment,be),be.forEach(t),vp=g(ae),bt=i(ae,"DIV",{class:!0});var sa=l(bt);b(qo.$$.fragment,sa),kp=g(sa),vs=i(sa,"P",{});var nc=l(vs);xp=m(nc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),nc.forEach(t),sa.forEach(t),ae.forEach(t),jr=g(o),De=i(o,"H2",{class:!0});var ra=l(De);Tt=i(ra,"A",{id:!0,class:!0,href:!0});var sc=l(Tt);ks=i(sc,"SPAN",{});var rc=l(ks);b(Eo.$$.fragment,rc),rc.forEach(t),sc.forEach(t),wp=g(ra),xs=i(ra,"SPAN",{});var ac=l(xs);bp=m(ac,"ORTModelForSemanticSegmentation"),ac.forEach(t),ra.forEach(t),Rr=g(o),Q=i(o,"DIV",{class:!0});var Te=l(Q);b(jo.$$.fragment,Te),Tp=g(Te),ws=i(Te,"P",{});var ic=l(ws);Op=m(ic,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),ic.forEach(t),Mp=g(Te),Ro=i(Te,"P",{});var aa=l(Ro);yp=m(aa,"This model inherits from [~"),bs=i(aa,"CODE",{});var lc=l(bs);qp=m(lc,"onnxruntime.modeling_ort.ORTModel"),lc.forEach(t),Ep=m(aa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),aa.forEach(t),jp=g(Te),Ts=i(Te,"P",{});var pc=l(Ts);Rp=m(pc,"Semantic Segmentation model for ONNX."),pc.forEach(t),Fp=g(Te),J=i(Te,"DIV",{class:!0});var Oe=l(J);b(Fo.$$.fragment,Oe),Sp=g(Oe),Le=i(Oe,"P",{});var ln=l(Le);Cp=m(ln,"The "),Os=i(ln,"CODE",{});var mc=l(Os);zp=m(mc,"ORTModelForSemanticSegmentation"),mc.forEach(t),Pp=m(ln," forward method, overrides the "),Ms=i(ln,"CODE",{});var dc=l(Ms);Ap=m(dc,"__call__"),dc.forEach(t),Np=m(ln," special method."),ln.forEach(t),Ip=g(Oe),b(Ot.$$.fragment,Oe),Dp=g(Oe),b(Mt.$$.fragment,Oe),Lp=g(Oe),b(yt.$$.fragment,Oe),Oe.forEach(t),Te.forEach(t),Fr=g(o),Xe=i(o,"H2",{class:!0});var ia=l(Xe);qt=i(ia,"A",{id:!0,class:!0,href:!0});var cc=l(qt);ys=i(cc,"SPAN",{});var uc=l(ys);b(So.$$.fragment,uc),uc.forEach(t),cc.forEach(t),Xp=g(ia),qs=i(ia,"SPAN",{});var hc=l(qs);Up=m(hc,"ORTModelForSeq2SeqLM"),hc.forEach(t),ia.forEach(t),Sr=g(o),he=i(o,"DIV",{class:!0});var pn=l(he);b(Co.$$.fragment,pn),Qp=g(pn),Es=i(pn,"P",{});var gc=l(Es);Vp=m(gc,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),gc.forEach(t),Wp=g(pn),Y=i(pn,"DIV",{class:!0});var Me=l(Y);b(zo.$$.fragment,Me),Hp=g(Me),Ue=i(Me,"P",{});var mn=l(Ue);Bp=m(mn,"The "),js=i(mn,"CODE",{});var fc=l(js);Gp=m(fc,"ORTModelForSeq2SeqLM"),fc.forEach(t),Jp=m(mn," forward method, overrides the "),Rs=i(mn,"CODE",{});var _c=l(Rs);Yp=m(_c,"__call__"),_c.forEach(t),Kp=m(mn," special method."),mn.forEach(t),Zp=g(Me),b(Et.$$.fragment,Me),em=g(Me),b(jt.$$.fragment,Me),tm=g(Me),b(Rt.$$.fragment,Me),Me.forEach(t),pn.forEach(t),Cr=g(o),Qe=i(o,"H2",{class:!0});var la=l(Qe);Ft=i(la,"A",{id:!0,class:!0,href:!0});var $c=l(Ft);Fs=i($c,"SPAN",{});var vc=l(Fs);b(Po.$$.fragment,vc),vc.forEach(t),$c.forEach(t),om=g(la),Ss=i(la,"SPAN",{});var kc=l(Ss);nm=m(kc,"ORTModelForSequenceClassification"),kc.forEach(t),la.forEach(t),zr=g(o),D=i(o,"DIV",{class:!0});var ie=l(D);b(Ao.$$.fragment,ie),sm=g(ie),Cs=i(ie,"P",{});var xc=l(Cs);rm=m(xc,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),xc.forEach(t),am=g(ie),No=i(ie,"P",{});var pa=l(No);im=m(pa,"This model inherits from [~"),zs=i(pa,"CODE",{});var wc=l(zs);lm=m(wc,"onnxruntime.modeling_ort.ORTModel"),wc.forEach(t),pm=m(pa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),pa.forEach(t),mm=g(ie),Ps=i(ie,"P",{});var bc=l(Ps);dm=m(bc,"Sequence Classification model for ONNX."),bc.forEach(t),cm=g(ie),X=i(ie,"DIV",{class:!0});var le=l(X);b(Io.$$.fragment,le),um=g(le),Ve=i(le,"P",{});var dn=l(Ve);hm=m(dn,"The "),As=i(dn,"CODE",{});var Tc=l(As);gm=m(Tc,"ORTModelForSequenceClassification"),Tc.forEach(t),fm=m(dn," forward method, overrides the "),Ns=i(dn,"CODE",{});var Oc=l(Ns);_m=m(Oc,"__call__"),Oc.forEach(t),$m=m(dn," special method."),dn.forEach(t),vm=g(le),b(St.$$.fragment,le),km=g(le),b(Ct.$$.fragment,le),xm=g(le),b(zt.$$.fragment,le),wm=g(le),b(Pt.$$.fragment,le),le.forEach(t),bm=g(ie),At=i(ie,"DIV",{class:!0});var ma=l(At);b(Do.$$.fragment,ma),Tm=g(ma),Is=i(ma,"P",{});var Mc=l(Is);Om=m(Mc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Mc.forEach(t),ma.forEach(t),ie.forEach(t),Pr=g(o),We=i(o,"H2",{class:!0});var da=l(We);Nt=i(da,"A",{id:!0,class:!0,href:!0});var yc=l(Nt);Ds=i(yc,"SPAN",{});var qc=l(Ds);b(Lo.$$.fragment,qc),qc.forEach(t),yc.forEach(t),Mm=g(da),Ls=i(da,"SPAN",{});var Ec=l(Ls);ym=m(Ec,"ORTModelForSpeechSeq2Seq"),Ec.forEach(t),da.forEach(t),Ar=g(o),ge=i(o,"DIV",{class:!0});var cn=l(ge);b(Xo.$$.fragment,cn),qm=g(cn),Xs=i(cn,"P",{});var jc=l(Xs);Em=m(jc,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),jc.forEach(t),jm=g(cn),K=i(cn,"DIV",{class:!0});var ye=l(K);b(Uo.$$.fragment,ye),Rm=g(ye),He=i(ye,"P",{});var un=l(He);Fm=m(un,"The "),Us=i(un,"CODE",{});var Rc=l(Us);Sm=m(Rc,"ORTModelForSpeechSeq2Seq"),Rc.forEach(t),Cm=m(un," forward method, overrides the "),Qs=i(un,"CODE",{});var Fc=l(Qs);zm=m(Fc,"__call__"),Fc.forEach(t),Pm=m(un," special method."),un.forEach(t),Am=g(ye),b(It.$$.fragment,ye),Nm=g(ye),b(Dt.$$.fragment,ye),Im=g(ye),b(Lt.$$.fragment,ye),ye.forEach(t),cn.forEach(t),Nr=g(o),Be=i(o,"H2",{class:!0});var ca=l(Be);Xt=i(ca,"A",{id:!0,class:!0,href:!0});var Sc=l(Xt);Vs=i(Sc,"SPAN",{});var Cc=l(Vs);b(Qo.$$.fragment,Cc),Cc.forEach(t),Sc.forEach(t),Dm=g(ca),Ws=i(ca,"SPAN",{});var zc=l(Ws);Lm=m(zc,"ORTModelForTokenClassification"),zc.forEach(t),ca.forEach(t),Ir=g(o),L=i(o,"DIV",{class:!0});var pe=l(L);b(Vo.$$.fragment,pe),Xm=g(pe),Hs=i(pe,"P",{});var Pc=l(Hs);Um=m(Pc,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Pc.forEach(t),Qm=g(pe),Wo=i(pe,"P",{});var ua=l(Wo);Vm=m(ua,"This model inherits from [~"),Bs=i(ua,"CODE",{});var Ac=l(Bs);Wm=m(Ac,"onnxruntime.modeling_ort.ORTModel"),Ac.forEach(t),Hm=m(ua,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ua.forEach(t),Bm=g(pe),Gs=i(pe,"P",{});var Nc=l(Gs);Gm=m(Nc,"Token Classification model for ONNX."),Nc.forEach(t),Jm=g(pe),Z=i(pe,"DIV",{class:!0});var qe=l(Z);b(Ho.$$.fragment,qe),Ym=g(qe),Ge=i(qe,"P",{});var hn=l(Ge);Km=m(hn,"The "),Js=i(hn,"CODE",{});var Ic=l(Js);Zm=m(Ic,"ORTModelForTokenClassification"),Ic.forEach(t),ed=m(hn," forward method, overrides the "),Ys=i(hn,"CODE",{});var Dc=l(Ys);td=m(Dc,"__call__"),Dc.forEach(t),od=m(hn," special method."),hn.forEach(t),nd=g(qe),b(Ut.$$.fragment,qe),sd=g(qe),b(Qt.$$.fragment,qe),rd=g(qe),b(Vt.$$.fragment,qe),qe.forEach(t),ad=g(pe),Wt=i(pe,"DIV",{class:!0});var ha=l(Wt);b(Bo.$$.fragment,ha),id=g(ha),Ks=i(ha,"P",{});var Lc=l(Ks);ld=m(Lc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Lc.forEach(t),ha.forEach(t),pe.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(Ou)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(c,"class","relative group"),q(Je,"id","optimum.onnxruntime.ORTModel"),q(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Je,"href","#optimum.onnxruntime.ORTModel"),q(j,"class","relative group"),q(Zt,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(Zt,"rel","nofollow"),q(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(tt,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(tt,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(je,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(rt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(rt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(Fe,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(pt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(pt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ce,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ht,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ht,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Pe,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(vt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(vt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ne,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Tt,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Tt,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(De,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(qt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Xe,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ft,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ft,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Qe,"class","relative group"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Nt,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Nt,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(We,"class","relative group"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Xt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Xt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Be,"class","relative group"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,v){e(document.head,s),k(o,_,v),k(o,c,v),e(c,u),e(u,f),T(n,f,null),e(c,r),e(c,x),e(x,d),k(o,$,v),k(o,j,v),e(j,Je),e(Je,gn),T(Ht,gn,null),e(j,ga),e(j,fn),e(fn,fa),k(o,vr,v),k(o,F,v),T(Bt,F,null),e(F,_a),e(F,_n),e(_n,$a),e(F,va),e(F,Gt),e(Gt,ka),e(Gt,$n),e($n,xa),e(Gt,wa),e(F,ba),e(F,vn),e(vn,Ta),e(F,Oa),e(F,Jt),e(Jt,de),e(de,Ma),e(de,kn),e(kn,ya),e(de,qa),e(de,xn),e(xn,Ea),e(de,ja),e(de,wn),e(wn,Ra),e(de,Fa),e(Jt,Sa),e(Jt,ce),e(ce,Ca),e(ce,bn),e(bn,za),e(ce,Pa),e(ce,Tn),e(Tn,Aa),e(ce,Na),e(ce,On),e(On,Ia),e(ce,Da),e(F,La),e(F,Mn),e(Mn,Xa),e(F,Ua),e(F,ee),e(ee,Yt),e(Yt,Qa),e(Yt,yn),e(yn,Va),e(Yt,Wa),e(ee,Ha),e(ee,Kt),e(Kt,Ba),e(Kt,Zt),e(Zt,Ga),e(Kt,Ja),e(ee,Ya),e(ee,te),e(te,Ka),e(te,qn),e(qn,Za),e(te,ei),e(te,En),e(En,ti),e(te,oi),e(te,jn),e(jn,ni),e(te,si),e(te,Rn),e(Rn,ri),e(te,ai),e(ee,ii),e(ee,eo),e(eo,li),e(eo,Fn),e(Fn,pi),e(eo,mi),e(ee,di),e(ee,Sn),e(Sn,ci),e(F,ui),e(F,Ye),T(to,Ye,null),e(Ye,hi),e(Ye,Cn),e(Cn,gi),e(F,fi),e(F,Ke),T(oo,Ke,null),e(Ke,_i),e(Ke,no),e(no,$i),e(no,zn),e(zn,vi),e(no,ki),e(F,xi),e(F,Ze),T(so,Ze,null),e(Ze,wi),e(Ze,Pn),e(Pn,bi),e(F,Ti),e(F,et),T(ro,et,null),e(et,Oi),e(et,An),e(An,Mi),k(o,kr,v),k(o,je,v),e(je,tt),e(tt,Nn),T(ao,Nn,null),e(je,yi),e(je,In),e(In,qi),k(o,xr,v),k(o,ue,v),T(io,ue,null),e(ue,Ei),e(ue,Dn),e(Dn,ji),e(ue,Ri),e(ue,V),T(lo,V,null),e(V,Fi),e(V,Re),e(Re,Si),e(Re,Ln),e(Ln,Ci),e(Re,zi),e(Re,Xn),e(Xn,Pi),e(Re,Ai),e(V,Ni),T(ot,V,null),e(V,Ii),T(nt,V,null),e(V,Di),T(st,V,null),k(o,wr,v),k(o,Fe,v),e(Fe,rt),e(rt,Un),T(po,Un,null),e(Fe,Li),e(Fe,Qn),e(Qn,Xi),k(o,br,v),k(o,U,v),T(mo,U,null),e(U,Ui),e(U,Vn),e(Vn,Qi),e(U,Vi),e(U,co),e(co,Wi),e(co,Wn),e(Wn,Hi),e(co,Bi),e(U,Gi),e(U,Hn),e(Hn,Ji),e(U,Yi),e(U,W),T(uo,W,null),e(W,Ki),e(W,Se),e(Se,Zi),e(Se,Bn),e(Bn,el),e(Se,tl),e(Se,Gn),e(Gn,ol),e(Se,nl),e(W,sl),T(at,W,null),e(W,rl),T(it,W,null),e(W,al),T(lt,W,null),k(o,Tr,v),k(o,Ce,v),e(Ce,pt),e(pt,Jn),T(ho,Jn,null),e(Ce,il),e(Ce,Yn),e(Yn,ll),k(o,Or,v),k(o,A,v),T(go,A,null),e(A,pl),e(A,Kn),e(Kn,ml),e(A,dl),e(A,fo),e(fo,cl),e(fo,Zn),e(Zn,ul),e(fo,hl),e(A,gl),e(A,es),e(es,fl),e(A,_l),e(A,H),T(_o,H,null),e(H,$l),e(H,ze),e(ze,vl),e(ze,ts),e(ts,kl),e(ze,xl),e(ze,os),e(os,wl),e(ze,bl),e(H,Tl),T(mt,H,null),e(H,Ol),T(dt,H,null),e(H,Ml),T(ct,H,null),e(A,yl),e(A,ut),T($o,ut,null),e(ut,ql),e(ut,ns),e(ns,El),k(o,Mr,v),k(o,Pe,v),e(Pe,ht),e(ht,ss),T(vo,ss,null),e(Pe,jl),e(Pe,rs),e(rs,Rl),k(o,yr,v),k(o,N,v),T(ko,N,null),e(N,Fl),e(N,as),e(as,Sl),e(N,Cl),e(N,xo),e(xo,zl),e(xo,is),e(is,Pl),e(xo,Al),e(N,Nl),e(N,ls),e(ls,Il),e(N,Dl),e(N,B),T(wo,B,null),e(B,Ll),e(B,Ae),e(Ae,Xl),e(Ae,ps),e(ps,Ul),e(Ae,Ql),e(Ae,ms),e(ms,Vl),e(Ae,Wl),e(B,Hl),T(gt,B,null),e(B,Bl),T(ft,B,null),e(B,Gl),T(_t,B,null),e(N,Jl),e(N,$t),T(bo,$t,null),e($t,Yl),e($t,ds),e(ds,Kl),k(o,qr,v),k(o,Ne,v),e(Ne,vt),e(vt,cs),T(To,cs,null),e(Ne,Zl),e(Ne,us),e(us,ep),k(o,Er,v),k(o,I,v),T(Oo,I,null),e(I,tp),e(I,hs),e(hs,op),e(I,np),e(I,Mo),e(Mo,sp),e(Mo,gs),e(gs,rp),e(Mo,ap),e(I,ip),e(I,fs),e(fs,lp),e(I,pp),e(I,G),T(yo,G,null),e(G,mp),e(G,Ie),e(Ie,dp),e(Ie,_s),e(_s,cp),e(Ie,up),e(Ie,$s),e($s,hp),e(Ie,gp),e(G,fp),T(kt,G,null),e(G,_p),T(xt,G,null),e(G,$p),T(wt,G,null),e(I,vp),e(I,bt),T(qo,bt,null),e(bt,kp),e(bt,vs),e(vs,xp),k(o,jr,v),k(o,De,v),e(De,Tt),e(Tt,ks),T(Eo,ks,null),e(De,wp),e(De,xs),e(xs,bp),k(o,Rr,v),k(o,Q,v),T(jo,Q,null),e(Q,Tp),e(Q,ws),e(ws,Op),e(Q,Mp),e(Q,Ro),e(Ro,yp),e(Ro,bs),e(bs,qp),e(Ro,Ep),e(Q,jp),e(Q,Ts),e(Ts,Rp),e(Q,Fp),e(Q,J),T(Fo,J,null),e(J,Sp),e(J,Le),e(Le,Cp),e(Le,Os),e(Os,zp),e(Le,Pp),e(Le,Ms),e(Ms,Ap),e(Le,Np),e(J,Ip),T(Ot,J,null),e(J,Dp),T(Mt,J,null),e(J,Lp),T(yt,J,null),k(o,Fr,v),k(o,Xe,v),e(Xe,qt),e(qt,ys),T(So,ys,null),e(Xe,Xp),e(Xe,qs),e(qs,Up),k(o,Sr,v),k(o,he,v),T(Co,he,null),e(he,Qp),e(he,Es),e(Es,Vp),e(he,Wp),e(he,Y),T(zo,Y,null),e(Y,Hp),e(Y,Ue),e(Ue,Bp),e(Ue,js),e(js,Gp),e(Ue,Jp),e(Ue,Rs),e(Rs,Yp),e(Ue,Kp),e(Y,Zp),T(Et,Y,null),e(Y,em),T(jt,Y,null),e(Y,tm),T(Rt,Y,null),k(o,Cr,v),k(o,Qe,v),e(Qe,Ft),e(Ft,Fs),T(Po,Fs,null),e(Qe,om),e(Qe,Ss),e(Ss,nm),k(o,zr,v),k(o,D,v),T(Ao,D,null),e(D,sm),e(D,Cs),e(Cs,rm),e(D,am),e(D,No),e(No,im),e(No,zs),e(zs,lm),e(No,pm),e(D,mm),e(D,Ps),e(Ps,dm),e(D,cm),e(D,X),T(Io,X,null),e(X,um),e(X,Ve),e(Ve,hm),e(Ve,As),e(As,gm),e(Ve,fm),e(Ve,Ns),e(Ns,_m),e(Ve,$m),e(X,vm),T(St,X,null),e(X,km),T(Ct,X,null),e(X,xm),T(zt,X,null),e(X,wm),T(Pt,X,null),e(D,bm),e(D,At),T(Do,At,null),e(At,Tm),e(At,Is),e(Is,Om),k(o,Pr,v),k(o,We,v),e(We,Nt),e(Nt,Ds),T(Lo,Ds,null),e(We,Mm),e(We,Ls),e(Ls,ym),k(o,Ar,v),k(o,ge,v),T(Xo,ge,null),e(ge,qm),e(ge,Xs),e(Xs,Em),e(ge,jm),e(ge,K),T(Uo,K,null),e(K,Rm),e(K,He),e(He,Fm),e(He,Us),e(Us,Sm),e(He,Cm),e(He,Qs),e(Qs,zm),e(He,Pm),e(K,Am),T(It,K,null),e(K,Nm),T(Dt,K,null),e(K,Im),T(Lt,K,null),k(o,Nr,v),k(o,Be,v),e(Be,Xt),e(Xt,Vs),T(Qo,Vs,null),e(Be,Dm),e(Be,Ws),e(Ws,Lm),k(o,Ir,v),k(o,L,v),T(Vo,L,null),e(L,Xm),e(L,Hs),e(Hs,Um),e(L,Qm),e(L,Wo),e(Wo,Vm),e(Wo,Bs),e(Bs,Wm),e(Wo,Hm),e(L,Bm),e(L,Gs),e(Gs,Gm),e(L,Jm),e(L,Z),T(Ho,Z,null),e(Z,Ym),e(Z,Ge),e(Ge,Km),e(Ge,Js),e(Js,Zm),e(Ge,ed),e(Ge,Ys),e(Ys,td),e(Ge,od),e(Z,nd),T(Ut,Z,null),e(Z,sd),T(Qt,Z,null),e(Z,rd),T(Vt,Z,null),e(L,ad),e(L,Wt),T(Bo,Wt,null),e(Wt,id),e(Wt,Ks),e(Ks,ld),Dr=!0},p(o,[v]){const Go={};v&2&&(Go.$$scope={dirty:v,ctx:o}),ot.$set(Go);const Zs={};v&2&&(Zs.$$scope={dirty:v,ctx:o}),nt.$set(Zs);const er={};v&2&&(er.$$scope={dirty:v,ctx:o}),st.$set(er);const tr={};v&2&&(tr.$$scope={dirty:v,ctx:o}),at.$set(tr);const Jo={};v&2&&(Jo.$$scope={dirty:v,ctx:o}),it.$set(Jo);const or={};v&2&&(or.$$scope={dirty:v,ctx:o}),lt.$set(or);const nr={};v&2&&(nr.$$scope={dirty:v,ctx:o}),mt.$set(nr);const sr={};v&2&&(sr.$$scope={dirty:v,ctx:o}),dt.$set(sr);const S={};v&2&&(S.$$scope={dirty:v,ctx:o}),ct.$set(S);const rr={};v&2&&(rr.$$scope={dirty:v,ctx:o}),gt.$set(rr);const Yo={};v&2&&(Yo.$$scope={dirty:v,ctx:o}),ft.$set(Yo);const ar={};v&2&&(ar.$$scope={dirty:v,ctx:o}),_t.$set(ar);const ir={};v&2&&(ir.$$scope={dirty:v,ctx:o}),kt.$set(ir);const Ko={};v&2&&(Ko.$$scope={dirty:v,ctx:o}),xt.$set(Ko);const fe={};v&2&&(fe.$$scope={dirty:v,ctx:o}),wt.$set(fe);const lr={};v&2&&(lr.$$scope={dirty:v,ctx:o}),Ot.$set(lr);const pr={};v&2&&(pr.$$scope={dirty:v,ctx:o}),Mt.$set(pr);const mr={};v&2&&(mr.$$scope={dirty:v,ctx:o}),yt.$set(mr);const _e={};v&2&&(_e.$$scope={dirty:v,ctx:o}),Et.$set(_e);const dr={};v&2&&(dr.$$scope={dirty:v,ctx:o}),jt.$set(dr);const cr={};v&2&&(cr.$$scope={dirty:v,ctx:o}),Rt.$set(cr);const ur={};v&2&&(ur.$$scope={dirty:v,ctx:o}),St.$set(ur);const hr={};v&2&&(hr.$$scope={dirty:v,ctx:o}),Ct.$set(hr);const oe={};v&2&&(oe.$$scope={dirty:v,ctx:o}),zt.$set(oe);const Zo={};v&2&&(Zo.$$scope={dirty:v,ctx:o}),Pt.$set(Zo);const gr={};v&2&&(gr.$$scope={dirty:v,ctx:o}),It.$set(gr);const en={};v&2&&(en.$$scope={dirty:v,ctx:o}),Dt.$set(en);const fr={};v&2&&(fr.$$scope={dirty:v,ctx:o}),Lt.$set(fr);const ne={};v&2&&(ne.$$scope={dirty:v,ctx:o}),Ut.$set(ne);const _r={};v&2&&(_r.$$scope={dirty:v,ctx:o}),Qt.$set(_r);const $r={};v&2&&($r.$$scope={dirty:v,ctx:o}),Vt.$set($r)},i(o){Dr||(O(n.$$.fragment,o),O(Ht.$$.fragment,o),O(Bt.$$.fragment,o),O(to.$$.fragment,o),O(oo.$$.fragment,o),O(so.$$.fragment,o),O(ro.$$.fragment,o),O(ao.$$.fragment,o),O(io.$$.fragment,o),O(lo.$$.fragment,o),O(ot.$$.fragment,o),O(nt.$$.fragment,o),O(st.$$.fragment,o),O(po.$$.fragment,o),O(mo.$$.fragment,o),O(uo.$$.fragment,o),O(at.$$.fragment,o),O(it.$$.fragment,o),O(lt.$$.fragment,o),O(ho.$$.fragment,o),O(go.$$.fragment,o),O(_o.$$.fragment,o),O(mt.$$.fragment,o),O(dt.$$.fragment,o),O(ct.$$.fragment,o),O($o.$$.fragment,o),O(vo.$$.fragment,o),O(ko.$$.fragment,o),O(wo.$$.fragment,o),O(gt.$$.fragment,o),O(ft.$$.fragment,o),O(_t.$$.fragment,o),O(bo.$$.fragment,o),O(To.$$.fragment,o),O(Oo.$$.fragment,o),O(yo.$$.fragment,o),O(kt.$$.fragment,o),O(xt.$$.fragment,o),O(wt.$$.fragment,o),O(qo.$$.fragment,o),O(Eo.$$.fragment,o),O(jo.$$.fragment,o),O(Fo.$$.fragment,o),O(Ot.$$.fragment,o),O(Mt.$$.fragment,o),O(yt.$$.fragment,o),O(So.$$.fragment,o),O(Co.$$.fragment,o),O(zo.$$.fragment,o),O(Et.$$.fragment,o),O(jt.$$.fragment,o),O(Rt.$$.fragment,o),O(Po.$$.fragment,o),O(Ao.$$.fragment,o),O(Io.$$.fragment,o),O(St.$$.fragment,o),O(Ct.$$.fragment,o),O(zt.$$.fragment,o),O(Pt.$$.fragment,o),O(Do.$$.fragment,o),O(Lo.$$.fragment,o),O(Xo.$$.fragment,o),O(Uo.$$.fragment,o),O(It.$$.fragment,o),O(Dt.$$.fragment,o),O(Lt.$$.fragment,o),O(Qo.$$.fragment,o),O(Vo.$$.fragment,o),O(Ho.$$.fragment,o),O(Ut.$$.fragment,o),O(Qt.$$.fragment,o),O(Vt.$$.fragment,o),O(Bo.$$.fragment,o),Dr=!0)},o(o){M(n.$$.fragment,o),M(Ht.$$.fragment,o),M(Bt.$$.fragment,o),M(to.$$.fragment,o),M(oo.$$.fragment,o),M(so.$$.fragment,o),M(ro.$$.fragment,o),M(ao.$$.fragment,o),M(io.$$.fragment,o),M(lo.$$.fragment,o),M(ot.$$.fragment,o),M(nt.$$.fragment,o),M(st.$$.fragment,o),M(po.$$.fragment,o),M(mo.$$.fragment,o),M(uo.$$.fragment,o),M(at.$$.fragment,o),M(it.$$.fragment,o),M(lt.$$.fragment,o),M(ho.$$.fragment,o),M(go.$$.fragment,o),M(_o.$$.fragment,o),M(mt.$$.fragment,o),M(dt.$$.fragment,o),M(ct.$$.fragment,o),M($o.$$.fragment,o),M(vo.$$.fragment,o),M(ko.$$.fragment,o),M(wo.$$.fragment,o),M(gt.$$.fragment,o),M(ft.$$.fragment,o),M(_t.$$.fragment,o),M(bo.$$.fragment,o),M(To.$$.fragment,o),M(Oo.$$.fragment,o),M(yo.$$.fragment,o),M(kt.$$.fragment,o),M(xt.$$.fragment,o),M(wt.$$.fragment,o),M(qo.$$.fragment,o),M(Eo.$$.fragment,o),M(jo.$$.fragment,o),M(Fo.$$.fragment,o),M(Ot.$$.fragment,o),M(Mt.$$.fragment,o),M(yt.$$.fragment,o),M(So.$$.fragment,o),M(Co.$$.fragment,o),M(zo.$$.fragment,o),M(Et.$$.fragment,o),M(jt.$$.fragment,o),M(Rt.$$.fragment,o),M(Po.$$.fragment,o),M(Ao.$$.fragment,o),M(Io.$$.fragment,o),M(St.$$.fragment,o),M(Ct.$$.fragment,o),M(zt.$$.fragment,o),M(Pt.$$.fragment,o),M(Do.$$.fragment,o),M(Lo.$$.fragment,o),M(Xo.$$.fragment,o),M(Uo.$$.fragment,o),M(It.$$.fragment,o),M(Dt.$$.fragment,o),M(Lt.$$.fragment,o),M(Qo.$$.fragment,o),M(Vo.$$.fragment,o),M(Ho.$$.fragment,o),M(Ut.$$.fragment,o),M(Qt.$$.fragment,o),M(Vt.$$.fragment,o),M(Bo.$$.fragment,o),Dr=!1},d(o){t(s),o&&t(_),o&&t(c),y(n),o&&t($),o&&t(j),y(Ht),o&&t(vr),o&&t(F),y(Bt),y(to),y(oo),y(so),y(ro),o&&t(kr),o&&t(je),y(ao),o&&t(xr),o&&t(ue),y(io),y(lo),y(ot),y(nt),y(st),o&&t(wr),o&&t(Fe),y(po),o&&t(br),o&&t(U),y(mo),y(uo),y(at),y(it),y(lt),o&&t(Tr),o&&t(Ce),y(ho),o&&t(Or),o&&t(A),y(go),y(_o),y(mt),y(dt),y(ct),y($o),o&&t(Mr),o&&t(Pe),y(vo),o&&t(yr),o&&t(N),y(ko),y(wo),y(gt),y(ft),y(_t),y(bo),o&&t(qr),o&&t(Ne),y(To),o&&t(Er),o&&t(I),y(Oo),y(yo),y(kt),y(xt),y(wt),y(qo),o&&t(jr),o&&t(De),y(Eo),o&&t(Rr),o&&t(Q),y(jo),y(Fo),y(Ot),y(Mt),y(yt),o&&t(Fr),o&&t(Xe),y(So),o&&t(Sr),o&&t(he),y(Co),y(zo),y(Et),y(jt),y(Rt),o&&t(Cr),o&&t(Qe),y(Po),o&&t(zr),o&&t(D),y(Ao),y(Io),y(St),y(Ct),y(zt),y(Pt),y(Do),o&&t(Pr),o&&t(We),y(Lo),o&&t(Ar),o&&t(ge),y(Xo),y(Uo),y(It),y(Dt),y(Lt),o&&t(Nr),o&&t(Be),y(Qo),o&&t(Ir),o&&t(L),y(Vo),y(Ho),y(Ut),y(Qt),y(Vt),y(Bo)}}}const Ou={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function Mu(E){return Wc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Su extends Xc{constructor(s){super();Uc(this,s,Mu,Tu,Qc,{})}}export{Su as default,Ou as metadata};
